aboutsummaryrefslogtreecommitdiffstats
path: root/.travis/downstream.d/pyopenssl.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/downstream.d/pyopenssl.sh')
-rwxr-xr-x.travis/downstream.d/pyopenssl.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/.travis/downstream.d/pyopenssl.sh b/.travis/downstream.d/pyopenssl.sh
new file mode 100755
index 00000000..b95bb280
--- /dev/null
+++ b/.travis/downstream.d/pyopenssl.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+case "${1}" in
+ install)
+ git clone --depth=1 https://github.com/pyca/pyopenssl
+ cd pyopenssl
+ pip install -e ".[test]"
+ ;;
+ run)
+ cd pyopenssl
+ pytest tests
+ ;;
+ *)
+ exit 1
+ ;;
+esac